﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
		}

		private void RadUpload_FilesSelected(object sender, Telerik.Windows.Controls.FilesSelectedEventArgs e)
		{
			RadUpload upload = (RadUpload)sender;

			// If the Filter property of RadUpload does not contain the extension of the selected file,
			// then the file has to be removed.
			// For this purpose, a temporary collection is used.
			var filesToRemove = e.SelectedFiles.Where(file => !upload.Filter.Contains(file.File.Extension)).ToList();

			// Remove the unnecessary files.
			foreach (var file in filesToRemove)
			{
				e.SelectedFiles.Remove(file);
			}
		}
	}
}
